// JavaScript Document
$(document).ready(function(){
	$.post('js/gbook.php?action=mlist',function(R){
		 if (R=="close"){
			 $("#syccms_message").html("站长已经关闭留言！");
			 $("#syccms_message_add").css("display","none");
			 }									
		 else if (R!=""){									
		  $("#syccms_message").html(R);
		 }
	})	
	
		
	$("#add").click(function(){
			var content=$("#content").val();
			var names=$("#names").val();
			var codes=$("#codes").val();
			var id=$("#vid").val();
			if (names==""){$("#info").html("请输入你的大名！");return false;}
			if (content==""){$("#info").html("请输入留言内容！");return false;}
			if (codes==""){$("#info").html("请输入验证码！");return false;}
			$.post('js/gbook.php',{action:"add",content:content,names:names,codes:codes,id:id},function(R){
				if(R=="timeerror"){
					$("#info").html("兄台，不要着急嘛，15秒时间还没过呢！");
				}
				else if(R=="namelenerr"){
					 $("#info").html("用户名过长！");
					 }
				 else if(R=="contentlenerr"){
					 $("#info").html("留言内容过长！");
					 }
				else if(R=="codeerr"){
					 $("#info").html("验证码不正确！");
					}	 
				 else{	 
				 $.post('js/gbook.php?action=mlist',function(R){
				if (id!=""){
					alert("舞曲报错成功！");
					window.location='gbook.php';
					}
				else{
		 		 $("#syccms_message").html(R);
				 $("#imgcode").attr("src",'include/code.php')
				 $("#names").val(names);
				 $("#codes").val("");
				 $("#content").html("");
				 $("#info").html("");
				}
					
			})	
}
				 }) })
	
	  })
function showlist(page){
	$("#syccms_message").html("载入中....");
	$.post('js/gbook.php?action=mlist&pages='+page,function(R){
	    if (R=="close"){
			 $("#syccms_message").html("站长已经关闭留言!");
			 $("#syccms_message_add").css("display","none");
			 }									
		 else if (R!=""){									
		  $("#syccms_message").html(R);
		 }									
											})
	}